Package com.scriptel.proscript

## Class GeneralParameters

- java.lang.Object
- - com.scriptel.proscript.GeneralParameters

-     public final class GeneralParameters
      extends java.lang.Object

  This class represents general operating parameters for a ScripTouch device.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getChannelLockNumber()` | Which channel is locked?
    `int` | `getCornerLowerLeft()` | Which corner is the lower left?
    `int` | `getCornerLowerRight()` | Which corner is the lower right?
    `int` | `getCornerUpperLeft()` | Which corner is the upper left?
    `int` | `getCornerUpperRight()` | Which corner is the upper right?
    `int` | `getFilterFrequency()` | What's the filter frequency?
    `int` | `getReserved()` | Reserved for future use.
    `int` | `getSamples()` | How many samples?
    `boolean` | `isAdcOutputEnabled()` | Is ADC output enabled?
    `boolean` | `isChannelLockEnabled()` | Is channel lock enabled?
    `boolean` | `isXyOutputEnabled()` | Is XY output enabled?
    `boolean` | `mapCoordinates()` | Are coordinates being mapped?
    `void` | `setAdcOutputEnabled​(boolean adcOutputEnabled)` | Sets ADC output enabled.
    `void` | `setChannelLockEnable​(boolean channelLockEnable)` | Sets whether or not channel lock is enabled.
    `void` | `setChannelLockNumber​(int channelLockNumber)` | Sets channel lock number.
    `void` | `setCornerLowerLeft​(int cornerLowerLeft)` | Sets the lower left corner.
    `void` | `setCornerLowerRight​(int cornerLowerRight)` | Sets the lower right corner.
    `void` | `setCornerUpperLeft​(int cornerUpperLeft)` | Sets the upper left corner.
    `void` | `setCornerUpperRight​(int cornerUpperRight)` | Sets the upper right corner.
    `void` | `setFilterFrequency​(int filterFrequency)` | Sets the filter frequency.
    `void` | `setMapCoordinates​(boolean mapCoordinates)` | Sets whether or not coordinates get mapped.
    `void` | `setReserved​(int reserved)` | Sets reserved, reserved for future use.
    `void` | `setSamples​(int samples)` | Sets the samples.
    `void` | `setXyOutputEnabled​(boolean xyOutputEnabled)` | Set XY output enabled.
    `java.lang.String` | `toString()` | Prints this object as a human readable string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Prints this object as a human readable string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Human readable string.

    - #### isXyOutputEnabled

          public boolean isXyOutputEnabled()

      Is XY output enabled?
      Returns:
        the xyOutputEnabled

    - #### mapCoordinates

          public boolean mapCoordinates()

      Are coordinates being mapped?
      Returns:
        the mapCoordinates

    - #### isChannelLockEnabled

          public boolean isChannelLockEnabled()

      Is channel lock enabled?
      Returns:
        the channelLockEnable

    - #### getChannelLockNumber

          public int getChannelLockNumber()

      Which channel is locked?
      Returns:
        the channelLockNumber

    - #### getReserved

          public int getReserved()

      Reserved for future use.
      Returns:
        the reserved

    - #### getCornerLowerLeft

          public int getCornerLowerLeft()

      Which corner is the lower left?
      Returns:
        the cornerLowerLeft

    - #### getCornerUpperLeft

          public int getCornerUpperLeft()

      Which corner is the upper left?
      Returns:
        the cornerUpperLeft

    - #### getCornerLowerRight

          public int getCornerLowerRight()

      Which corner is the lower right?
      Returns:
        the cornerLowerRight

    - #### getCornerUpperRight

          public int getCornerUpperRight()

      Which corner is the upper right?
      Returns:
        the cornerUpperRight

    - #### getSamples

          public int getSamples()

      How many samples?
      Returns:
        the samples

    - #### getFilterFrequency

          public int getFilterFrequency()

      What's the filter frequency?
      Returns:
        the filterFrequency

    - #### isAdcOutputEnabled

          public boolean isAdcOutputEnabled()

      Is ADC output enabled?
      Returns:
        the adcOutputEnabled

    - #### setXyOutputEnabled

          public void setXyOutputEnabled​(boolean xyOutputEnabled)

      Set XY output enabled.
      Parameters:
        `xyOutputEnabled` - the xyOutputEnabled to set

    - #### setAdcOutputEnabled

          public void setAdcOutputEnabled​(boolean adcOutputEnabled)

      Sets ADC output enabled.
      Parameters:
        `adcOutputEnabled` - the adcOutputEnabled to set

    - #### setMapCoordinates

          public void setMapCoordinates​(boolean mapCoordinates)

      Sets whether or not coordinates get mapped.
      Parameters:
        `mapCoordinates` - the mapCoordinates to set

    - #### setChannelLockEnable

          public void setChannelLockEnable​(boolean channelLockEnable)

      Sets whether or not channel lock is enabled.
      Parameters:
        `channelLockEnable` - the channelLockEnable to set

    - #### setChannelLockNumber

          public void setChannelLockNumber​(int channelLockNumber)

      Sets channel lock number.
      Parameters:
        `channelLockNumber` - the channelLockNumber to set

    - #### setReserved

          public void setReserved​(int reserved)

      Sets reserved, reserved for future use.
      Parameters:
        `reserved` - the reserved to set

    - #### setCornerLowerLeft

          public void setCornerLowerLeft​(int cornerLowerLeft)

      Sets the lower left corner.
      Parameters:
        `cornerLowerLeft` - the cornerLowerLeft to set

    - #### setCornerUpperLeft

          public void setCornerUpperLeft​(int cornerUpperLeft)

      Sets the upper left corner.
      Parameters:
        `cornerUpperLeft` - the cornerUpperLeft to set

    - #### setCornerLowerRight

          public void setCornerLowerRight​(int cornerLowerRight)

      Sets the lower right corner.
      Parameters:
        `cornerLowerRight` - the cornerLowerRight to set

    - #### setCornerUpperRight

          public void setCornerUpperRight​(int cornerUpperRight)

      Sets the upper right corner.
      Parameters:
        `cornerUpperRight` - the cornerUpperRight to set

    - #### setSamples

          public void setSamples​(int samples)

      Sets the samples.
      Parameters:
        `samples` - the samples to set

    - #### setFilterFrequency

          public void setFilterFrequency​(int filterFrequency)

      Sets the filter frequency.
      Parameters:
        `filterFrequency` - the filterFrequency to set